Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all users.

List all users. Get all users of the process space, including the state of a pending invitation each.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/users
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Antworten
200

All users.

Array von User
displayNamestringerforderlich
divisionstringerforderlich
emailsEMail[]erforderlich
Eigenschaften anzeigen
Array von EMail
typestringerforderlich
valuestringerforderlich
favoritesFavorite[]erforderlich
Eigenschaften anzeigen
Array von Favorite
refIdstringerforderlich
typestringerforderlich
versioninteger<int64>erforderlich
firstnamestringerforderlich
genderstringerforderlich
historyHistoryEntry[]erforderlich
Eigenschaften anzeigen
Array von HistoryEntry
idstringerforderlich
lastVisitedstringerforderlich
typeHistoryKinderforderlich
Erlaubt:Process
valuestringerforderlich
versioninteger<int64>erforderlich
warehouseIdstringerforderlich
idstringerforderlich
invitedbooleanerforderlich
invitedAtstringerforderlich
lastnamestringerforderlich
mobilestringerforderlich
organizationstringerforderlich
phonestringerforderlich
preferredLanguagestringerforderlich
scimEmailstringerforderlich
telefonestringerforderlich
thumbnailstringerforderlich
titlestringerforderlich
warehouseIdsstring[]erforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/users' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
[
  {
    "displayName": "string",
    "division": "string",
    "emails": [
      {
        "type": "string",
        "value": "string"
      }
    ],
    "favorites": [
      {
        "refId": "string",
        "type": "string",
        "version": 0
      }
    ],
    "firstname": "string",
    "gender": "string",
    "history": [
      {
        "id": "string",
        "lastVisited": "string",
        "type": "Process",
        "value": "string",
        "version": 0,
        "warehouseId": "string"
      }
    ],
    "id": "string",
    "invited": true,
    "invitedAt": "string",
    "lastname": "string",
    "mobile": "string",
    "organization": "string",
    "phone": "string",
    "preferredLanguage": "string",
    "scimEmail": "string",
    "telefone": "string",
    "thumbnail": "string",
    "title": "string",
    "warehouseIds": [
      "string"
    ]
  }
]